import request from '@/utils/request';

/**
 * 分页查询
 * @param params 查询条件
 */
export async function pageLog(params) {
  const res = await request.get('/call/log/page', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

export async function logSearch(params) {
  const res = await request.get('/call/log/search', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
